FINCORE(1)

NAME
fincore - count pages of file contents in core

SYNOPSIS

fincore [options] file...

DESCRIPTION

fincore counts pages of file contents being resident in memory (in core), and reports the numbers. If an error occurs during counting, then an error message is printed to the stderr and fincore continues processing the rest of files listed in a command line.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output columns-list in environments where a stable output is required.

OPTIONS

-n, --noheadings
    Do not print a header line in status output.

-b, --bytes
    Print the sizes in bytes rather than in a human-readable format.

    By default, the unit, sizes are expressed in, is byte, and unit prefixes are in power of 2^10 (1024). Abbreviations of symbols are exhibited truncated in order to reach a better readability, by exhibiting alone the first letter of them; examples: "1 KiB" and "1 MiB" are respectively exhibited as "1 K" and "1 M", then omitting on purpose the mention "iB", which is part of these abbreviations.

-o, --output list
    Define output columns. See the --help output to get a list of the currently supported columns. The default list of columns may be extended if list is specified in the format +list.

--output-all
    Output all available columns.

-r, --raw
    Produce output in raw format. All potentially unsafe characters are hex-escaped (\x<code>).

-J, --json
    Use JSON output format.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

AUTHORS

SEE ALSO

mincore(2), getpagesize(2), getconf(1p) cachestat(2)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The fincore command is part of the util-linux package which can be downloaded from